$no-color: #39ff14; // worst green I could find

// promote theme colors to being globally available
@mixin hoistColors($theme) {
  $colors: $theme !global;
}

// Returns a color by name from the theme
@function clr($name) {
  @if map-has-key($map: $colors, $key: $name) {
    @return map-get($colors, $name);
  }
  @else {
    @return $no-color; // no color found - make obvious an error has happened
  }
}

// Simple way to determine text color based on background contrast
// google: sass choose-contrast-color
@function chooseContrastColor($color) {
  @if (lightness($color) > clr(contrastPoint)) {
    @return clr(dark);
  } @else {
    @return clr(light);
  }
}